package com.ama.core.architecture.appBase.adapter

import androidx.viewbinding.ViewBinding
import com.ama.core.model.BaseDiffItem


abstract class AppAdapter<Binding : ViewBinding, Item : BaseDiffItem, VH : AppViewBindingViewHolder<Binding, Item>> :
    AppDifferAdapter<Item, VH>() {
    override fun onBindViewHolder(holder: VH, position: Int, item: Item?) {
        // 由于没有实现Paging，所以Item不会为null。
        holder.bindData(position, item!!)
    }
}